<?php
// $Id: template.php,v 1.1 2009/10/01 03:34:49 ishmaelsanchez Exp $ 

/** 
 *
 * This file contains theme override functions and preprocess functions
 * 
 * If you prefer the Drupal default rendering simply comment out the functions.
 * Additionally you can add your own custom functions and variable here
 *
 */

/**
 * Custom Breadcrumb
 *
 */
function earthish_breadcrumb($breadcrumb) {
  // Determine if we are to display the breadcrumb.
  $show_breadcrumb = theme_get_setting('earthish_breadcrumb');
  if ($show_breadcrumb == 'yes' || $show_breadcrumb == 'admin' && arg(0) == 'admin') {

    // Return the breadcrumb with separators.
    if (!empty($breadcrumb)) {
      $breadcrumb_separator = theme_get_setting('earthish_breadcrumb_separator');
      $trailing_separator = $title = '';
      if (theme_get_setting('earthish_breadcrumb_title')) {
        $trailing_separator = $breadcrumb_separator;
        $title = menu_get_active_title();
      }
      elseif (theme_get_setting('earthish_breadcrumb_trailing')) {
        $trailing_separator = $breadcrumb_separator;
      }
      return '<div class="breadcrumb">' . implode($breadcrumb_separator, $breadcrumb) . "$trailing_separator$title</div>";
    }
  }
  // Otherwise, return an empty string.
  return '';
}

//Get rid of the default "Submitted by.." text on nodes
function earthish_node_submitted($node) {
  return t('Posted by !username on @datetime',
    array(
      '!username' => theme('username', $node),
      '@datetime' => format_date($node->created, 'custom', 'M j, Y - Gi'),
    ));
}

//Get rid of the default "Submitted by.." text for comments
function earthish_comment_submitted($comment) {
  return t('Comment by !username posted on @datetime',
    array(
      '!username' => theme('username', $comment),
      '@datetime' => format_date($comment->timestamp, 'custom', 'M j, Y - Gi')
    ));
}

function earthish_preprocess_page(&$vars) {
  // Add a new template suggestion to allow page-[node type].tpl.php
  if(isset($vars['node'])) {
    $vars['template_files'][] = 'page-' . $vars['node']->type;
  }
}